//po4a: entry man manual
= ll2_rename_user(3)
:doctype: manpage
:man manual: Programmer's Manual
:man source: util-linux {release-version}
:page-layout: base
:lib: liblastlog2
:firstversion: 2.40

== NAME

ll2_rename_user - Renames an user entry.

== SYNOPSIS

*#include <lastlog2.h>*

*int ll2_rename_user (struct ll2_context *__context__, const char *__user__,
		      const char *__newname__, char **__error__);*

== DESCRIPTION

Changing user name from _user_ to _newname_ of one entry in
database, which is defined by _context_. All other entries with the user _user_
will be deleted.
If _context_ is NULL, the default database, defined in _LL2_DEFAULT_DATABASE_,
will be taken.

--------------------------------------
char    *error = NULL;
const   char *user = "root";
const   char *new_user = "notroot";

int ret = ll2_rename_user (NULL, user, new_user, &error);
--------------------------------------

== RETURN VALUE

Returns 0 on success, -ENOMEM or -1 on other failure.
_error_ contains an error string if the return value is -1.
_error_ is not guaranteed to contain an error string, could also be NULL.
_error_ should be freed by the caller.

== AUTHORS

Thorsten Kukuk (kukuk@suse.de)

== SEE ALSO

*lastlog2*(3),
*ll2_new_context(3),
*ll2_unref_context(3),
*ll2_read_all*(3),
*ll2_write_entry*(3),
*ll2_read_entry*(3),
*ll2_remove_entry*(3),
*ll2_update_login_time*(3),
*ll2_import_lastlog*(3)

include::man-common/bugreports.adoc[]

include::man-common/footer-lib.adoc[]

ifdef::translation[]
include::man-common/translation.adoc[]
endif::[]
